be.fgov.ehealth.etee.crypto.policies

## Enum KeyType

- java.lang.Object
- - java.lang.Enum<KeyType>
  - - be.fgov.ehealth.etee.crypto.policies.KeyType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<KeyType>

      public enum KeyType
      extends java.lang.Enum<KeyType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DSA`
    `EC`
    `RSA`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeyType` | `from(java.security.PrivateKey privateKey)`
    `static KeyType` | `from(java.security.PublicKey publicKey)`
    `static KeyType` | `from(SigningCredential signingCredential)`
    `static KeyType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static KeyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RSA

          public static final KeyType RSA

    - #### DSA

          public static final KeyType DSA

    - #### EC

          public static final KeyType EC

  - ### Method Detail

    - #### values

          public static KeyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyType c : KeyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeyType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### from

          public static KeyType from(SigningCredential signingCredential)

    - #### from

          public static KeyType from(java.security.PublicKey publicKey)

    - #### from

          public static KeyType from(java.security.PrivateKey privateKey)

Copyright © 2025 eHealth. All rights reserved.